OpenNMS API 1.2.9

## org.opennms.netmgt.config
Class ThresholdingConfigFactory

    java.lang.Object
      org.opennms.netmgt.config.ThresholdingConfigFactory

public final class ThresholdingConfigFactory
extends java.lang.Object

This class is the main respository for thresholding configuration information used by the thresholding daemon.. When this class is loaded it reads the thresholding configuration into memory. Note: Users of this class should make sure the init() is called before calling any other method to ensure the config is loaded before accessing other convenience methods.

Author:
  Mike Davidson , OpenNMS

Field Summary
`private ThresholdingConfig` `m_config` The config class loaded from the config file
`private java.util.Map` `m_groupMap` Map of org.opennms.netmgt.config.threshd.Group objects indexed by group name.
`private static boolean` `m_loaded` This member is set to true if the configuration file has been loaded.
`private static ThresholdingConfigFactory` `m_singleton` The singleton instance of this factory

Constructor Summary
`private` `ThresholdingConfigFactory(java.lang.String configFile)` Private constructor

Method Summary
`static ThresholdingConfigFactory` `getInstance()` Return the singleton instance of this factory.
`java.lang.String` `getRrdRepository(java.lang.String groupName)` Retrieves the configured path to the RRD file repository for the specified thresholding group.
`java.util.Collection` `getThresholds(java.lang.String groupName)` Retrieves a Collection object consisting of all the org.opennms.netmgt.config.Threshold objects which make up the specified thresholding group.
`static void` `init()` Load the config from the default config file and create the singleton instance of this factory.
`static void` `reload()` Reload the config from the default config file

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_singleton

    private static ThresholdingConfigFactory m_singleton

  The singleton instance of this factory

### m_config

    private ThresholdingConfig m_config

  The config class loaded from the config file

### m_loaded

    private static boolean m_loaded

  This member is set to true if the configuration file has been loaded.

### m_groupMap

    private java.util.Map m_groupMap

  Map of org.opennms.netmgt.config.threshd.Group objects indexed by group name.

Constructor Detail

### ThresholdingConfigFactory

    private ThresholdingConfigFactory(java.lang.String configFile)
                               throws java.io.IOException,
                                      org.exolab.castor.xml.MarshalException,
                                      org.exolab.castor.xml.ValidationException

  Private constructor

Throws:
  `java.io.IOException` - Thrown if the specified config file cannot be read
  `org.exolab.castor.xml.MarshalException` - Thrown if the file does not conform to the schema.
  `org.exolab.castor.xml.ValidationException` - Thrown if the contents do not match the required schema.

Method Detail

### init

    public static void init()
                     throws java.io.IOException,
                            org.exolab.castor.xml.MarshalException,
                            org.exolab.castor.xml.ValidationException

  Load the config from the default config file and create the singleton instance of this factory.

  Throws:
    `java.io.IOException` - Thrown if the specified config file cannot be read
    `org.exolab.castor.xml.MarshalException` - Thrown if the file does not conform to the schema.
    `org.exolab.castor.xml.ValidationException` - Thrown if the contents do not match the required schema.

### reload

    public static void reload()
                       throws java.io.IOException,
                              org.exolab.castor.xml.MarshalException,
                              org.exolab.castor.xml.ValidationException

  Reload the config from the default config file

  Throws:
    `java.io.IOException` - Thrown if the specified config file cannot be read/loaded
    `org.exolab.castor.xml.MarshalException` - Thrown if the file does not conform to the schema.
    `org.exolab.castor.xml.ValidationException` - Thrown if the contents do not match the required schema.

### getInstance

    public static ThresholdingConfigFactory getInstance()

  Return the singleton instance of this factory.

  Returns:
    The current factory instance.
  Throws:
    `java.lang.IllegalStateException` - Thrown if the factory has not yet been initialized.

### getRrdRepository

    public java.lang.String getRrdRepository(java.lang.String groupName)

  Retrieves the configured path to the RRD file repository for the specified thresholding group.

  Parameters:
    `groupName` - Group name to lookup
  Returns:
    RRD repository path.
  Throws:
    `java.lang.IllegalArgumentException` - if group name does not exist in the group map.

### getThresholds

    public java.util.Collection getThresholds(java.lang.String groupName)

  Retrieves a Collection object consisting of all the org.opennms.netmgt.config.Threshold objects which make up the specified thresholding group.

  Parameters:
    `groupName` - Group name to lookup
  Returns:
    Collection consisting of all the Threshold objects for the specified group..
  Throws:
    `java.lang.IllegalArgumentException` - if group name does not exist in the group map.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.